/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
body:not(.home) header .menu-item a{
	color: var(--e-global-color-secondary) !important;
}
.dialog-widget.elementor-lightbox .elementor-slideshow__title {
	display: none;
}
.dialog-widget .eicon-close{
	display: none;
}
.dialog-close-button{
    border: 1px solid black;
    padding: 5px 10px;
}
.dialog-close-button:hover{
    background-color: black;
}
.dialog-close-button:hover::before{
    color: white !important;
}
#elementor-popup-modal-80 .dialog-close-button::before,
#elementor-popup-modal-1663 .dialog-close-button::before{
	content: "Close";
	right: 0px;
	position: relative;
	font-size: 14px;
	top: 0px;
	color: var(--e-global-color-secondary);
}
#elementor-popup-modal-80 .dialog-lightbox-close-button,
#elementor-popup-modal-1663 .dialog-lightbox-close-button{
	flex-direction: row-reverse;
}
.dialog-widget.elementor-lightbox .elementor-swiper-button{
	background-color: var(--e-global-color-25aac72);
	align-items: center;
	display: flex !important;
	height: 50px !important;
	width: 50px !important;
	padding: 10px;
	border-radius: 100px;
}
.dialog-widget.elementor-lightbox .elementor-swiper-button-prev{
	left: 16% !important;
}
.dialog-widget.elementor-lightbox .elementor-swiper-button-next{
	right: 16% !important;
}
.dialog-widget.elementor-lightbox .elementor-swiper-button svg use{
	fill: var(--e-global-color-secondary);
}

/* Preloader Start */
body.home > header,
body.home > .elementor.elementor-8,
body.home > footer{
	opacity: 0;
	transition: opacity 1s ease;
}

body.home #site-preloader{
	position: fixed;
	inset: 0;
	background: var( --e-global-color-secondary );
	z-index: 999999;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	transition: transform 1.6s ease;
}

body.home .preloader-logo img{
	width: 200px;
	transform: scale(4);
	opacity: 0;
	transition: all 2.5s cubic-bezier(.19,1,.22,1);
}

/* Logo animation */
body.home #site-preloader.logo-animate img{
	transform: scale(1);
	opacity: 1;
}

/* Screen slide up */
body.home #site-preloader.slide-up{
	transform: translateY(-100%);
}
/* Preloader End */

/* Single Page Start*/
body.single .elementor-widget-theme-post-content a{
	color: var(--e-global-color-primary);
}
/* body.single .e-gallery-item .e-gallery-image{
height: 500px;
} */
.buttonInstaIcon .elementor-button .elementor-button-icon{
	transform: rotate(0deg);
}
.singleProjectContent p {
	color: var(--e-global-color-secondary);
	font-family: "Helvena", Sans-serif;
	font-size: 16px;
	font-weight: 500;
	line-height: 26px;
}
/* Single Page End */

.elementor-button .elementor-button-icon{
	transform: rotate(40deg);
}
header{
	position: absolute;
	width: 100%;
	left: 0;
	top: 0;
	z-index: 1;
	/* 	background-color: rgba(10, 10, 14, 0.50);
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(100px); */
}
/* body.home .siteLogo,
body.page-id-823 .siteLogo,
body.single-projects .siteLogo{
filter: brightness(1000);
}

.page-id-722 header,
.page-id-702 header,
.page-id-963 header,
.page-id-757 header{
box-shadow: rgba(149, 157, 165, 0.1) 0px 8px 24px;
}
.page-id-722 .siteHeader::before,
.page-id-702 .siteHeader::before,
.page-id-963 .siteHeader::before,
.page-id-757 .siteHeader::before{
display: none;
}
.page-id-722 .siteLogo,
.page-id-702 .siteLogo,
.page-id-963 .siteLogo,
.page-id-757 .siteLogo{
filter: brightness(0);
}
*/
.siteHeader .elementor-icon svg rect{
	fill:  var(--e-global-color-secondary);
}

/* Header */
body.home .siteHeader{
	background-color: transparent !important;
}
body.home .siteHeader::before{
	opacity: 0.7;
	background-color: transparent;
	--background-overlay: '';
	background-image: linear-gradient(180deg, var(--e-global-color-secondary) 0%, #00000000 100%);
}
body.home .siteHeader .elementor-icon svg rect{
	fill:  var(--e-global-color-25aac72);
}
body.home .siteLogo{
	filter: invert();
}


.prefixLine .elementor-heading-title,
.prefixLineWhite .elementor-heading-title{
	position: relative;
	padding-left: 30px;
	padding-top: 30px;
}
.prefixLine .elementor-heading-title::before{
	content: '';
	background-color: var(--e-global-color-secondary);
	width: 20px;
	height: 1px;
	position: absolute;
	top: 37px;
	left: 0;
}

.prefixLineWhite .elementor-heading-title::before{
	content: '';
	background-color: var(--e-global-color-25aac72);
	width: 20px;
	height: 1px;
	position: absolute;
	top: 37px;
	left: 0;
}
.partners_Gallery .elementor-gallery__container{
	grid-gap: 80px !important;
}
.partners_Gallery .e-gallery-image{
	filter: grayscale(100%);
	opacity: 1;
	background-size: 170px;
	background-repeat: no-repeat;
	background-position: center center;
}

/* .partners_Gallery .e-gallery-image:hover{
filter: grayscale(0%);
} */

.projectDetailsLoop .elementor-icon-box-title{
	margin-top: 2px;
}
.clientVideo .elementor-custom-embed-play{
	padding: 20px 50px;
	border: 1px solid rgba(255,255,255,0.20);
	background-color: rgba(255,255,255,0.10);
	display: flex;
	align-items: center;
	gap: 10px;
}
.clientVideo .elementor-custom-embed-play::after{
	content: 'Play Now';
	color: var(--e-global-color-25aac72);
	text-transform: uppercase;
	font-weight: 500;
}
.portfolioLoopGrid .e-loop-item{
	border-top: 1px solid #C8C8C8;
}
.portfolioLoopGrid .e-loop-item:last-child{
	border-bottom: 1px solid #C8C8C8;
}


.portfolioLoopImg{
	position: absolute;
	top: -150px;
	left: 50%;
	transform: translateX(-50%);
	width: 100%;
	pointer-events: none;
}
.portfolioLoopImg img{
	opacity: 0;
	transition: all 0.5s cubic-bezier(.4,0,.2,1);
	overflow: hidden;
}
.portfolioLoopRow .portfolioLoopImg img{
	height: 400px !important;
	object-fit: cover;
}

/* .portfolioItemActive .portfolioLoopImg img{
opacity: 1;
}
.portfolioItemActive{
background-color: #E7E7E7;
} */
.portfolioLoopGrid .portfolioLoopRow:hover{
	background-color: #E7E7E7;
}

.portfolioLoopGrid .portfolioLoopRow .portfolioLoopImg img{
	transform: scale(0);
	opacity: 0;
	transition: transform .5s ease, opacity .3s ease;
}

.portfolioLoopGrid .portfolioLoopRow:hover .portfolioLoopImg img{
	transform: scale(1);
	opacity: 1;
}

/* Wrapper */
.customTaxoDropdown {
	position: relative;
	bottom: 70px;
}

/* Filter container = dropdown box */
.customTaxoDropdown .e-filter {
	position: absolute;
	top: 00px;
	left: 0;
	width: 100%;
	max-height: 48px; /* Only show 1 row */
	overflow: hidden;
	border: 1px solid #000;
	border-radius: 0px;
	background: #fff;
	transition: all 0.3s ease-in-out;
	z-index: 10;
	gap: 0;
	width: 100%;
}
.customTaxoDropdown .e-filter::after {
	content: "▼";
	position: absolute;
	right: 15px;
	top: 16px;
	font-size: 12px;
	top: 12px;
	pointer-events: none;
	transition: transform 0.3s ease;
}
.customTaxoDropdown:hover .e-filter::after {
	transform: rotate(180deg);
}
/* Expand DOWNWARD on hover */
.customTaxoDropdown:hover .e-filter {
	max-height: 400px;
}

/* Items */
.customTaxoDropdown .e-filter-item {
	display: block;
	width: 100%;
	padding: 12px 15px;
	text-align: left;
	border: none;
	background: white;
	cursor: pointer;
}

/* Hover item */
.customTaxoDropdown .elementor-widget-taxonomy-filter .e-filter-item:hover {
	background: #f5f5f5;
}

/* Active item */
.customTaxoDropdown .elementor-widget-taxonomy-filter .e-filter-item[aria-pressed="true"] {
	font-weight: bold;
}

/* Selected item first */
.customTaxoDropdown .e-filter-item[aria-pressed="true"]{
	order: 1;
}

/* Unselected items later */
.customTaxoDropdown .e-filter-item[aria-pressed="false"]{
	order: 2;
}


/* Expertise Section */
/* Default hidden state */
.expHidden{
	max-height: 0;
	opacity: 0;
	overflow: hidden;
	transition: max-height 0.5s ease, opacity 0.4s ease;
	position: absolute;
	visibility: hidden;

}

/* Active state */
.expertiseLoopGrid .activeItem .expHidden{
	max-height: 500px; /* adjust according to content */
	opacity: 1;
	position: unset;
	visibility: visible;

}

/* Button hide */
.expertiseLoopGrid .activeItem .expDefaultButton{
	opacity: 0;
	transition: opacity 0;
	position: absolute;
	visibility: hidden;
}

/* Smooth background + padding */
.expertiseLoopGrid .e-loop-item{
	border-top: 1px solid #C8C8C8;
	transition: background-color 0.4s ease, padding 0.4s ease;
}

.expertiseLoopGrid .e-loop-item:last-child{
	border-bottom: 1px solid #C8C8C8;
}

.expertiseLoopGrid .activeItem{
	background-color: var(--e-global-color-e346e45);

	padding: 40px 40px 20px 10px;
}

.expertiseLoopGrid .activeItem .elementor-heading-title{
	color: var(--e-global-color-secondary) !important;
	transition: color 0.3s ease;
}

/* Contact */
.instagramSection {
	overflow: hidden;
	height: 585px;
}

/* About Us */
.expertiseFullLoopGrid .e-loop-item{
	border-top: 1px solid #C8C8C8;
	padding-top: 20px;
}
.expertiseFullLoopGrid .e-loop-item:last-child{
	border-bottom: 1px solid #C8C8C8;
	padding-bottom: 20px;
}

/* Project Popup */
.masonry-item {
	width: 33.33%; /* 3 columns */
	padding: 10px;
}
.masonry-item img{
	display: block;
	width: 100%;
}
#popupTitle{
	font-size: 35px;
	line-height: 45px;
	margin-bottom: 0;
	color: var(--e-global-color-secondary)
}
#popupServices{
	font-size: 22px;
	font-weight: 500;
	line-height: 32px;
	color: var(--e-global-color-secondary);
}
.projectPopupToggle{
	padding: 0px;
	color: var(--e-global-color-secondary);
	border: 0px;
	font-weight: 500;
	text-transform: uppercase;
	padding-right: 20px;
}
.projectPopupToggle:hover{
	background-color: transparent;
	color: var(--e-global-color-primary);
}
.projectPopupToggle::after{
	content: '➜';
	position: absolute;
	transform: rotate(-48deg);
	left: 110px;
	right: 0;
}
.skeleton {
	position: relative;
	overflow: hidden;
	background: #e0e0e0;
	border-radius: 6px;
	margin-bottom: 10px;
}

.skeleton::after {
	content: "";
	position: absolute;
	top: 0;
	left: -150px;
	height: 100%;
	width: 150px;
	background: linear-gradient(90deg, transparent, rgba(255,255,255,0.6), transparent);
	animation: shimmer 1.2s infinite;
}

@keyframes shimmer {
	100% {
		transform: translateX(300px);
	}
}

/* Variants */
.skeleton-title {
	width: 60%;
	height: 30px;
}

.skeleton-image {
	width: 100%;
	height: 200px;
}

.skeleton-text {
	width: 100%;
	height: 15px;
}

.skeleton-text.short {
	width: 70%;
}
/* Footer */
.footerGradientHeading {
	background: linear-gradient(to bottom, #303037, #0A0A0E);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}



/* Responsive CSS */
@media (max-width: 1024px){

	.partners_Gallery .elementor-gallery__container {
		grid-gap: 20px !important;
	}
	.partners_Gallery .e-gallery-image {
		background-size: 120px;
	}
	.clientVideo .elementor-custom-embed-play {
		padding: 15px 30px;
	}
	.activeItem .exp_viewDetailsBtnCon{
		display: none;
	}
	.portfolioLoopRow .portfolioLoopImg img {
		height: 300px !important;
	}
	.projectPopupToggle::after{
		top: 4px;
	}
	.masonry-item {
		width: 50%;
	}
}
@media (max-width: 767px){
	.headerConList .elementor-icon-list-items{
		gap: 5px;
	}
	.expertiseLoopGrid .activeItem {
		padding: 0px;
	}
	.clientVideo .elementor-custom-embed-play::after {
		font-size: 12px;
	}
	.portfolioLoopImg {
		position: relative;
		top: 0px;
	}
	.portfolioLoopGrid .portfolioLoopRow .portfolioLoopImg img {
		transform: scale(1);
		opacity: 1;
	}
	.mob_projectLoopTitle::before{
		font-size: 12px;
		content: 'Project Name';
		text-transform: uppercase;
		font-weight: 500;
		color: var(--e-global-color-secondary);
		bottom: -5px;
		position: relative;
	}
	.mob_projectLoopSer::before{
		font-size: 12px;
		content: 'Services';
		text-transform: uppercase;
		font-weight: 500;
		color: var(--e-global-color-secondary);
		bottom: -5px;
		position: relative;
	}
	.projectPopupToggle::after{
		top: 1px;
	}
	.masonry-item {
		width: 100%;
		padding: 10px 0px;
	}
	#popupTitle{
		font-size: 29px;
		line-height: 39px;
	}
	.partners_Gallery .elementor-gallery__container {
		grid-gap: 10px !important;
	}
	.partners_Gallery .e-gallery-image {
		background-size: contain;
	}
	.noPhoneBr .elementor-heading-title br{
		display: none;
	}
	body:not(.page-id-722) .portfolioLoopRow .portfolioLoopImg img {
		height: 150px !important;
	}
	.portfolioLoopGrid .e-loop-item,
	.portfolioLoopGrid .e-loop-item:last-child{
		border: none;
	}
	.portfolioLoopGrid .e-loop-item-139{
		display: none;
	}
}